function initInfoGallery() {
	// slideshow bu hover
	var _gallery = $('div.info-gallery');
	_gallery.slideShow({
		slideEl:'ul.slide-list > li',
		numElementLink:'ul.play-list > li > div',
		event:'mouseenter',
		duration:450
	});

	// slide blocks
	var _slideSpeed = 500;
	var _slideItems = _gallery.find('ul.play-list > li');
	_slideItems.each(function(){
		var _holder = $(this);
		var _opener = _holder.find('div.min-content > a');
		var _slider = _holder.find('div.slide-content');

		_opener.click(function(){
			if(_holder.hasClass('expanded')) {
				_slider.slideUp(_slideSpeed);
				_holder.removeClass('expanded');
			} else {
				_slider.slideDown(_slideSpeed);
				_holder.addClass('expanded');
			}
			return false;
		});
	});

	// init scroller
	var _slideHolder = _gallery.find('div.right');
	var _slideContainer = _slideHolder.find('div.scroll-content');
	var _holderHeight = _slideHolder.height();
	var _sliderHeight = _slideContainer.height();
	var _btnUp = _slideHolder.find('a.arrow-link.up');
	var _btnDown = _slideHolder.find('a.arrow-link.down');
	var _maxOffset = _sliderHeight - _holderHeight;

	_slideContainer.css('marginTop',0);
	var _scrollSpeed = 0.3;
	var _duration;
	var _k;

	_btnDown.mousedown(function(){
		_sliderHeight = _slideContainer.height();
		_maxOffset = _sliderHeight - _holderHeight;
		_duration = _sliderHeight / _scrollSpeed;
		if(_sliderHeight < _holderHeight) return false;
		_k = (_maxOffset + parseInt(_slideContainer.css('marginTop')))/_maxOffset;
		_slideContainer.animate({marginTop:-_maxOffset},{duration: _duration*_k,queue:false, easing:'linear'});
	}).mouseup(function(){_slideContainer.stop();}).click(function(){return false;});

	_btnUp.mousedown(function(){
		_sliderHeight = _slideContainer.height();
		_maxOffset = _sliderHeight - _holderHeight;
		_duration = _sliderHeight / _scrollSpeed;
		_k = 1-(_maxOffset + parseInt(_slideContainer.css('marginTop')))/_maxOffset;
		_slideContainer.animate({marginTop:0},{duration: _duration*_k,queue:false, easing:'linear'});
	}).mouseup(function(){_slideContainer.stop();}).click(function(){return false;});
}

$(document).ready(function() {
	initInfoGallery();
});